LibreOffice: XInteractionFilterOptions Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XInteractionFilterOptions Interface Referencepublished

A continuation to return filter options from interaction helper. More...

`import"XInteractionFilterOptions.idl";`

Inheritance diagram for XInteractionFilterOptions:

## Public Member Functions
void | setFilterOptions ([in] sequence< com::sun::star::beans::PropertyValue > rProperties)
| Store results to the continuation. More...
sequence< com::sun::star::beans::PropertyValue > | getFilterOptions ()
| Get results from the continuation. More...
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A continuation to return filter options from interaction helper.

Since
  OOo 1.1.2

## Member Function Documentation

sequence< com::sun::star::beans::PropertyValue > getFilterOptions | ( |  | ) |

Get results from the continuation.

Returns
  the stored list of properties containing filter options.

void setFilterOptions | ( | [in] sequence< com::sun::star::beans::PropertyValue > | rProperties | ) |

Store results to the continuation.

Parameters

  rProperties | the list of properties containing filter options.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XInteractionFilterOptions.idl